/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_APPS_APP_H__
#define __AIR_APPS_APP_H__

#include <Elementary.h>

enum sort_type {
	SORT_INVALID = -1,
	SORT_RECENT = 0,
	SORT_A_TO_Z,
	SORT_Z_TO_A,
	SORT_MAX,
};

struct app_data;

char *get_app_id(struct app_data *adata);
char *get_pkg_id(struct app_data *adata);
char *get_app_name(struct app_data *adata);
char *get_app_icon(struct app_data *adata);
char *get_pkg_type(struct app_data *adata);
bool get_app_removable(struct app_data *adata);
bool get_app_favorite(struct app_data *adata, bool *isfavorite);
bool set_app_favorite(struct app_data *adata, bool isfavorite);
bool get_app_icon_bg_color(struct app_data *adata,
		int *r, int *g, int *b, int *a);
bool get_app_text_bg_color(struct app_data *adata,
		int *r, int *g, int *b, int *a);
Eina_List *get_app_list(void);
Eina_List *get_app_favorite_list(Eina_List *list);
bool get_sorted_app_list(Eina_List **list, enum sort_type type);
void free_app_list(Eina_List *list);

#endif /* __AIR_APPS_APP_H__ */
